cURL
curl --request GET \
--url https://api.flipsuite.xyz/v1/community/tokens \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.flipsuite.xyz/v1/community/tokens"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.flipsuite.xyz/v1/community/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"chain": "Base",
"address": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"symbol": "USDC",
"decimals": 6,
"createdAt": 1770897600000
}
],
"pagination": {
"offset": 123,
"limit": 123,
"total": 123,
"count": 123
}
}Tokens
Get Tokens
Get custom tokens from your community
GET
/
v1
/
community
/
tokens
cURL
Headers
Your community API key
Query Parameters
Specific chain to get tokens for
Available options:
Abstract, ApeChain, Arbitrum, Atto, Avalanche, Base, Berachain, Blast, BSC, CosmosHub, Cronos, Ethereum, Harmony, HyperCore, HyperEvm, Initia, Injective, Intergaze, Linea, Mitosis, Nano, Nibiru, Optimism, Osmosis, Pepecoin, Plasma, Polygon, Robinhood, SEDA, Sei, SeiEvm, Solana, Somnia, Sonic, Stargaze, Terra, Unichain, Yominet, Zaar, zkCronos Required range:
x >= 0Required range:
0 <= x <= 100